## org.aspectj.weaver.tools
Interface WeavingClassLoader

All Superinterfaces:
  GeneratedClassHandler

public interface WeavingClassLoader
extends GeneratedClassHandler

An interface for weaving class loaders to provide callbacks for a WeavingAdaptor.

Method Summary
`URL[]` `getAspectURLs()` Returns the aspects to be used by a WeavingAdaptor to weave classes defined by the class loader.

Methods inherited from interface org.aspectj.weaver.tools.GeneratedClassHandler
`acceptClass`

Method Detail

### getAspectURLs

    public URL[] getAspectURLs()

  Returns the aspects to be used by a WeavingAdaptor to weave classes defined by the class loader.

  Returns:
    the aspects used for weaving classes.